<table class="stretch">
  <tr>
    <td width="20%" align="center" valign="top">
      <div class="mat-elevation-z3 ticket-card" style="margin: 10px" *ngFor="let ticket of ticketList">{{ticket?.groundFloorId || ticket.seatSpaceId + ' (' + ticket.row + ', ' + ticket.seat + ')'}}</div>
    </td>
    <td width="80%" align="center">
      <div class="container" *ngIf="selectedGroundFloors">
        <table align="center" class="mat-elevation-z8 space-layout-table">
          <tr *ngFor="let row of rows" [ngStyle]="{'height' : (660/rowNumber)-2 + 'px'}" >
            <td id="row{{row}}column{{column}}"
                (click)="onSeatClick(row, column)"
                (mouseenter)="onMouseEnter(row, column)"
                (mouseleave)="onMouseLeave(row, column)"
                [ngClass]="{'selected': selected[row][column] && !takenSeats[row][column],
          'notselected': !selected[row][column] && !takenSeats[row][column],
          'seatspace': cellClasses[row][column] === 'seatspace' && !takenSeats[row][column],
          'empty': cellClasses[row][column] === 'empty',
          'taken': takenSeats[row][column],
          'hover': groundFloorHover[row][column] && !takenSeats[row][column] && !groundFloorFull(row, column),
          'groundfloor': cellClasses[row][column] === 'groundfloor' && !groundFloorFull(row, column),
           'takengroundfloor': groundFloorFull(row, column)}"
                *ngFor="let column of columns"
                [ngStyle]="{'width' : (660/rowNumber)-2 + 'px'}"></td>
          </tr>
        </table>

        <table *ngIf="selectedGroundFloors.length !== 0" class="bottomtable">
          <tr>
            <th>Widht x Height, (Top, Left)</th>
            <th>Left spots</th>
            <th>Number of seats</th>
            <th></th>
          </tr>
          <tr [ngClass]="{'trhover': groundFloorHover[gf.top][gf.left]}"
              (mouseenter)="onMouseEnter(gf.top, gf.left)"
              (mouseleave)="onMouseLeave(gf.top, gf.left)"
              *ngFor="let gf of selectedGroundFloors">
            <td>Ground floor {{gf.width}}x{{gf.height}} at ({{gf.top}}, {{gf.left}})</td>
            <td>{{gf.capacity - gf.spotsReserved}}/{{gf.capacity}}</td>
            <td><input class="gf-ticket-number" matInput [(ngModel)]="numberOfSeats[gf.top][gf.left]" type="number" min="1" max="{{gf.capacity - gf.spotsReserved}}"></td>
            <td><button class="gf-tickets-confirm-button" mat-button (click)="confirmNumberOfSeats(gf)" [disabled]="confirmedNumber[gf.top][gf.left]">Confirm</button></td>
          </tr>
        </table>

      </div>
    </td>
  </tr>
</table>
